## ssocr 2.19.0

=== Makefile ===
CFLAGS := -D_FORTIFY_SOURCE=2 -Wall -W -Wextra -pedantic -Werror -pedantic-errors -fstack-protector-all $(shell imlib2-config --cflags) -O3
LDLIBS := -lm $(shell imlib2-config --libs)
PREFIX := /usr/local
BINDIR := $(PREFIX)/bin
MANDIR := $(PREFIX)/share/man/man1
DOCDIR := $(PREFIX)/share/doc/ssocr
DOCS   := AUTHORS COPYING INSTALL README THANKS
VERSION := $(shell sed -n 's/^.*VERSION.*\(".*"\).*/\1/p' defines.h)

all: ssocr ssocr.1

ssocr: ssocr.o imgproc.o help.o charset.o

ssocr.o: ssocr.c ssocr.h defines.h imgproc.h help.h charset.h Makefile
imgproc.o: imgproc.c defines.h imgproc.h help.h Makefile
help.o: help.c defines.h imgproc.h help.h Makefile
charset.o: charset.c charset.h defines.h help.h Makefile

ssocr.1: ssocr.1.in Makefile
	sed -e "s/@VERSION@/$(VERSION)/" \
	    -e "s/@DATE@/$(shell date +%Y-%m-%d)/" <$< >$@

ssocr-manpage.html: ssocr.1
	rman -f html -r '' $< >$@

install: all
	install -d $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR) $(DESTDIR)$(DOCDIR)
	install -s -m 0755 ssocr $(DESTDIR)$(BINDIR)/ssocr
	install -m 0644 ssocr.1 $(DESTDIR)$(MANDIR)/ssocr.1
	gzip -9 $(DESTDIR)$(MANDIR)/ssocr.1
	install -m 0644 $(DOCS) $(DESTDIR)$(DOCDIR)

ssocr-dir:
	install -d ssocr-$(VERSION)
	install -m 0644 Makefile $(DOCS) *.[ch] *.in ssocr-$(VERSION)
	install -d ssocr-$(VERSION)/debian
	install -m 0644 debian/* ssocr-$(VERSION)/debian
	chmod +x ssocr-$(VERSION)/debian/rules

debian/changelog:
	printf "ssocr ($(VERSION)-1) unstable; urgency=low\n\n  * Debian package of current ssocr version\n\n -- $(USER)  $(shell date -R)\n" >$@

deb: debian/changelog debian/control debian/rules ssocr-dir
	(cd ssocr-$(VERSION); fakeroot debian/rules binary; fakeroot debian/rules clean)

tar: ssocr-dir
	tar cvfj ssocr-$(VERSION).tar.bz2 ssocr-$(VERSION)

clean:
	$(RM) ssocr ssocr.1 *.o *~ testbild.png ssocr-manpage.html *.deb *.bz2
	$(RM) debian/changelog
	$(RM) -r ssocr-$(VERSION) ssocr-?.?.? ssocr-?.??.?

.PHONY: clean tar deb ssocr-dir install

=== debian/changelog ===
ssocr (2.19.0-2) unstable; urgency=medium

  * Drop -fstack-protector-all to build on more architectures.
  * debian/control: update homepage field.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 11 Dec 2018 16:03:11 +0100

ssocr (2.19.0-1) unstable; urgency=medium

  * Initial release. (Closes: #910646)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 08 Oct 2018 11:10:02 +0200

=== debian/control ===
Source: ssocr
Section: graphics
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libimlib2-dev, libfreetype6-dev, zlib1g-dev, libx11-dev, libxext-dev
Standards-Version: 4.2.1
Homepage: https://www.unix-ag.uni-kl.de/~auerswal/ssocr/

Package: ssocr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OCR for seven segment displays
 Seven Segment Optical Character Recognition or ssocr for short is a program
 to recognize digits of a seven segment display. An image of one row of digits
 is used for input and the recognized number is written to the standard output.

=== debian/rules ===
#!/usr/bin/make -f
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	@echo Do not use install target of upstream Makefile

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/auerswal/ssocr/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ssocr 2.21.0

=== debian/changelog ===
ssocr (2.21.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 09 Sep 2021 09:41:30 +0200

ssocr (2.21.0-1) experimental; urgency=medium

  * New upstream version.
  * d/control:
    - bump standards version to 4.5.1.
    - added Rules-Requires-Root.
  * d/upstream/metadata: added.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.
  * Bump debhelper version to 13, drop d/compat.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 10 May 2021 22:30:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: graphics
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), libimlib2-dev, libfreetype6-dev, zlib1g-dev, libx11-dev, libxext-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13), libimlib2-dev, libfreetype6-dev, zlib1g-dev, libx11-dev, libxext-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://www.unix-ag.uni-kl.de/~auerswal/ssocr/
 
 Package: ssocr

## ssocr 2.22.0

=== Makefile ===
# minimal CFLAGS definition (try if compilation fails with default CFLAGS)
#CFLAGS  := $(shell imlib2-config --cflags)
# default CFLAGS definition
CFLAGS  := -D_FORTIFY_SOURCE=2 -Wall -W -Wextra -pedantic -fstack-protector-all $(shell imlib2-config --cflags) -O3
LDLIBS  := -lm $(shell imlib2-config --libs)
PREFIX  := /usr/local
BINDIR  := $(PREFIX)/bin
MANDIR  := $(PREFIX)/share/man/man1
DOCDIR  := $(PREFIX)/share/doc/ssocr
DOCS    := AUTHORS COPYING INSTALL README THANKS NEWS
VERSION := $(shell sed -n 's/^.*VERSION.*\(".*"\).*/\1/p' defines.h)
CRYEARS := $(shell sed -n 's/^.*fprintf.*Copyright.*\(2004-2[0-9][0-9][0-9]\).*Erik.*Auerswald.*$$/\1/p' help.c)

all: ssocr ssocr.1

ssocr: ssocr.o imgproc.o help.o charset.o

ssocr.o: ssocr.c ssocr.h defines.h imgproc.h help.h charset.h Makefile
imgproc.o: imgproc.c defines.h imgproc.h help.h Makefile
help.o: help.c defines.h imgproc.h help.h Makefile
charset.o: charset.c charset.h defines.h help.h Makefile

ssocr.1: ssocr.1.in Makefile
	sed -e 's/@VERSION@/$(VERSION)/' \
	    -e "s/@DATE@/$(shell date +%Y-%m-%d)/" \
	    -e 's/@CRYEARS@/$(CRYEARS)/' <$< >$@

ssocr-manpage.html: ssocr.1
	man -l -Thtml $< >$@

install: all
	install -d $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR) $(DESTDIR)$(DOCDIR)
	install -s -m 0755 ssocr $(DESTDIR)$(BINDIR)/ssocr
	install -m 0644 ssocr.1 $(DESTDIR)$(MANDIR)/ssocr.1
	gzip -9 $(DESTDIR)$(MANDIR)/ssocr.1
	install -m 0644 $(DOCS) $(DESTDIR)$(DOCDIR)

ssocr-dir:
	install -d ssocr-$(VERSION)
	install -m 0644 Makefile $(DOCS) *.[ch] *.in ssocr-$(VERSION)
	install -d ssocr-$(VERSION)/notdebian
	install -m 0644 notdebian/* ssocr-$(VERSION)/notdebian
	chmod +x ssocr-$(VERSION)/notdebian/rules

notdebian/changelog:
	printf "ssocr ($(VERSION)-1) unstable; urgency=low\n\n  * self built package of current ssocr version in .deb format\n\n -- $(USER)  $(shell date -R)\n" >$@

selfdeb: notdebian/changelog notdebian/control notdebian/rules ssocr-dir
	(cd ssocr-$(VERSION); ln -sv notdebian debian; fakeroot debian/rules binary; fakeroot debian/rules clean; rm -f debian)

tar: ssocr-dir
	tar cvfj ssocr-$(VERSION).tar.bz2 ssocr-$(VERSION)

clean:
	$(RM) ssocr ssocr.1 *.o *~ testbild.png ssocr-manpage.html
	$(RM) notdebian/changelog
	$(RM) -r ssocr-$(VERSION) ssocr-?.?.? ssocr-?.??.?

distclean: clean
	$(RM) *.deb *.bz2

.PHONY: clean tar ssocr-dir install

=== debian/changelog ===
ssocr (2.22.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.0.
  * Update maintainer address.
  * Drop old d/patches/ and create a single new one.

 -- Gürkan Myczko <tar@debian.org>  Wed, 10 Nov 2021 08:12:16 +0100

## ssocr 2.22.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # minimal CFLAGS definition (try if compilation fails with default CFLAGS)
-#CFLAGS  := $(shell imlib2-config --cflags)
+#CFLAGS  := $(shell if command -v imlib2-config >/dev/null; then imlib2-config --cflags; else pkg-config --cflags imlib2; fi)
 # default CFLAGS definition
-CFLAGS  := -D_FORTIFY_SOURCE=2 -Wall -W -Wextra -pedantic -fstack-protector-all $(shell imlib2-config --cflags) -O3
-LDLIBS  := -lm $(shell imlib2-config --libs)
+CFLAGS  := -D_FORTIFY_SOURCE=2 -Wall -W -Wextra -pedantic -fstack-protector-all $(shell if command -v imlib2-config >/dev/null; then imlib2-config --cflags; else pkg-config --cflags imlib2; fi) -O3
+LDLIBS  := -lm $(shell if command -v imlib2-config >/dev/null; then imlib2-config --libs; else pkg-config --libs imlib2; fi)
 PREFIX  := /usr/local
 BINDIR  := $(PREFIX)/bin
 MANDIR  := $(PREFIX)/share/man/man1
@@ -20,7 +20,7 @@
 help.o: help.c defines.h imgproc.h help.h Makefile
 charset.o: charset.c charset.h defines.h help.h Makefile
 
-ssocr.1: ssocr.1.in Makefile
+ssocr.1: ssocr.1.in Makefile defines.h
 	sed -e 's/@VERSION@/$(VERSION)/' \
 	    -e "s/@DATE@/$(shell date +%Y-%m-%d)/" \
 	    -e 's/@CRYEARS@/$(CRYEARS)/' <$< >$@

=== debian/changelog ===
ssocr (2.22.1-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * d/watch: drop template leftover.
  * d/patches/dropO3addg: update for new Makefile.

 -- Gürkan Myczko <tar@debian.org>  Sat, 29 Jan 2022 19:50:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: ssocr
 Section: graphics
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
+Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), libimlib2-dev, libfreetype6-dev, zlib1g-dev, libx11-dev, libxext-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.unix-ag.uni-kl.de/~auerswal/ssocr/

## ssocr 2.23.1

=== debian/changelog ===
ssocr (2.23.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:22:12 +1100

ssocr (2.23.1-1build1) noble; urgency=high

  * No change rebuild against libimlib2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:55:50 +0100

ssocr (2.23.1-1) unstable; urgency=medium

  * New upstream version. (Closes: #1021514, #1021516)

 -- Gürkan Myczko <tar@debian.org>  Mon, 12 Jun 2023 13:38:34 +0200

ssocr (2.23.0-1) experimental; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * d/control:
    - add Vcs fields.
    - update Build-Depends: libfreetype6-dev => libfreetype-dev.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Sun, 07 May 2023 16:34:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,18 @@
 Source: ssocr
 Section: graphics
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
-Build-Depends: debhelper-compat (= 13), libimlib2-dev, libfreetype6-dev, zlib1g-dev, libx11-dev, libxext-dev
-Standards-Version: 4.6.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13),
+ libimlib2-dev,
+ libfreetype-dev,
+ libx11-dev,
+ libxext-dev,
+ zlib1g-dev,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/ssocr
+Vcs-Git: https://salsa.debian.org/debian/ssocr.git
 Homepage: https://www.unix-ag.uni-kl.de/~auerswal/ssocr/
 
 Package: ssocr

## ssocr 2.24.0

=== debian/changelog ===
ssocr (2.24.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Thu, 04 Jul 2024 21:46:59 +0000

## ssocr 2.24.1

=== debian/changelog ===
ssocr (2.24.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 12 Dec 2024 14:26:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: ssocr
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13),
  libimlib2-dev,
  libfreetype-dev,
  libx11-dev,
  libxext-dev,
  zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/ssocr
 Vcs-Git: https://salsa.debian.org/debian/ssocr.git

## ssocr 2.25.0

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,9 @@
 MANDIR  := $(PREFIX)/share/man/man1
 DOCDIR  := $(PREFIX)/share/doc/ssocr
 DOCS    := AUTHORS COPYING INSTALL README THANKS NEWS
-VERSION := $(shell sed -n 's/^.*VERSION.*\(".*"\).*/\1/p' defines.h)
+VERSION := $(shell sed -n 's/^.*VERSION.*"\(.*\)".*/\1/p' defines.h)
 CRYEARS := $(shell sed -n 's/^.*fprintf.*Copyright.*\(2004-2[0-9][0-9][0-9]\).*Erik.*Auerswald.*$$/\1/p' help.c)
+RELDATE := $(shell sed -n 's/^Version [.0-9]* .\([-0-9]*\).*$$/\1/p' NEWS | head -n1)
 
 all: ssocr ssocr.1
 
@@ -20,9 +21,9 @@
 help.o: help.c defines.h imgproc.h help.h Makefile
 charset.o: charset.c charset.h defines.h help.h Makefile
 
-ssocr.1: ssocr.1.in Makefile defines.h
+ssocr.1: ssocr.1.in Makefile defines.h help.c NEWS
 	sed -e 's/@VERSION@/$(VERSION)/' \
-	    -e "s/@DATE@/$(shell date +%Y-%m-%d)/" \
+	    -e 's/@DATE@/$(RELDATE)/' \
 	    -e 's/@CRYEARS@/$(CRYEARS)/' <$< >$@
 
 ssocr-manpage.html: ssocr.1
@@ -43,7 +44,7 @@
 	chmod +x ssocr-$(VERSION)/notdebian/rules
 
 notdebian/changelog:
-	printf "ssocr ($(VERSION)-1) unstable; urgency=low\n\n  * self built package of current ssocr version in .deb format\n\n -- $(USER)  $(shell date -R)\n" >$@
+	printf 'ssocr ($(VERSION)-1) unstable; urgency=low\n\n  * self built package of current ssocr version in .deb format\n\n -- $(USER)  $(shell date -R)\n' >$@
 
 selfdeb: notdebian/changelog notdebian/control notdebian/rules ssocr-dir
 	(cd ssocr-$(VERSION); ln -sv notdebian debian; fakeroot debian/rules binary; fakeroot debian/rules clean; rm -f debian)

=== debian/changelog ===
ssocr (2.25.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 28 Mar 2025 08:03:27 +0000

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
-export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_CFLAGS_MAINT_APPEND  = -w
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/auerswal/ssocr/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ssocr 2.25.1

=== debian/changelog ===
ssocr (2.25.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.2.
  * d/control:
    - add pkgconf to build-depends.
    - drop Rules-Requires-Root.
  * d/copyright: bump years.
  * Apply patch to fix FTCBFS. (Closes: #1116231)
    Thanks Helmut Grohne.
  * d/rules: set PKG_CONFIG.

 -- Alex Myczko <tar@debian.org>  Wed, 10 Dec 2025 22:28:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13),
+ pkgconf,
  libimlib2-dev,
  libfreetype-dev,
  libx11-dev,
  libxext-dev,
  zlib1g-dev,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/ssocr
 Vcs-Git: https://salsa.debian.org/debian/ssocr.git
 Homepage: https://www.unix-ag.uni-kl.de/~auerswal/ssocr/

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+export PKG_CONFIG=pkgconf
+
 %:
 	dh $@
